Bug 1475 - Application dies if osso service name is not com.nokia.something
: Application dies if osso service name is not com.nokia.something
Status: CLOSED FIXED
Product: Desktop platform
Application Menu
: 3.1
: All All
: Low normal (vote)
: ---
Assigned To: unassigned
: task-navigator-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2007-05-26 20:34 UTC by Pierre Amadio
Modified: 2008-12-06 17:28 UTC (History)
1 user (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Pierre Amadio (reporter) 2007-05-26 20:34:02 UTC
A pygtk application launched from hildon dies after somes time (a minutes or
so, may be less).

The problem dissapear if i choose to name the osso service com.nokia.rapier
instead of org.maemo.rapier

svn diff -r 78:80  https://garage.maemo.org/svn/rapier
Comment 1 Aleksandr Koltsoff 2007-11-17 19:24:20 UTC
When using osso_initialize (don't know how the python wrapper uses it), if the
application name does not contain dots, it will be prefixed with com.nokia
automatically.

Maybe your application is using a non-dotted application name with
osso_initialize?
Comment 2 Aleksandr Koltsoff 2007-12-01 12:13:12 UTC
Adding a link to an email (maemo-dev, archived) which explains how to fix this
issue, if anyone will use bugzilla to search for this issue in the future:

http://lists.maemo.org/pipermail//maemo-developers/2007-December/013115.html
Comment 3 Pierre Amadio (reporter) 2007-12-02 12:35:10 UTC
Thanks for the info, putting a complete service  name in the osso context seems
to do the trick.

This bug can be closed.